You are not logged in.

#26 2011-03-18 14:55:46

bernarcher
Forum Fellow
From: Germany
Registered: 2009-02-17
Posts: 2,271

Re: "error while loading shared libraries: libnotify.so.1: cannot open.."

Do you really need liferea-ext4? Because the "extra/liferea 1.6.5-2" does work here.
Perhaps you should change to this one until the aur package is up to date again.


To know or not to know ...
... the questions remain forever.

Offline

#27 2011-03-18 14:59:14

Hund
Member
From: Sweden
Registered: 2010-03-22
Posts: 386
Website

Re: "error while loading shared libraries: libnotify.so.1: cannot open.."

bernarcher wrote:

Do you really need liferea-ext4? Because the "extra/liferea 1.6.5-2" does work here.
Perhaps you should change to this one until the aur package is up to date again.

Then I have to go threw a couple of hundreds of feeds. smile But its not just liferea-ext4, its pino, gnome-gmail-notifier and linuxdcpp to.


Not all change is progress

Offline

#28 2011-03-18 15:03:59

ngoonee
Forum Fellow
From: Between Thailand and Singapore
Registered: 2009-03-17
Posts: 6,831

Re: "error while loading shared libraries: libnotify.so.1: cannot open.."

Hund wrote:

So I'm basicly screwed then? This is redicilious, why couldnt they make a more smooth update of libnotify?

When a library is updated, all applications which link against it are rebuilt in the repos.

When you use packages from the AUR (and you seem to use a lot), you're expected to rebuild them yourself.

There is NO way to update libnotify without either requiring you to rebuild or keeping every old version of every lib on your system.


Allan-Volunteer on the (topic being discussed) mailn lists. You never get the people who matters attention on the forums.
jasonwryan-Installing Arch is a measure of your literacy. Maintaining Arch is a measure of your diligence. Contributing to Arch is a measure of your competence.
Griemak-Bleeding edge, not bleeding flat. Edge denotes falls will occur from time to time. Bring your own parachute.

Offline

#29 2011-03-18 15:12:13

Hund
Member
From: Sweden
Registered: 2010-03-22
Posts: 386
Website

Re: "error while loading shared libraries: libnotify.so.1: cannot open.."

Nah, just a few packages, but very important smile I would rebuild them if I knew how. I would be greatful if someone could help me with the patches.


Not all change is progress

Offline

#30 2011-03-18 16:11:21

wonder
Developer
From: Bucharest, Romania
Registered: 2006-07-05
Posts: 5,937
Website

Re: "error while loading shared libraries: libnotify.so.1: cannot open.."

gnome-gmail-notifier: http://paste.xinu.at/N1he4/
liferea-ext4: http://paste.xinu.at/41X/
linuxdcpp doesn't depend on libnotify, be sure you are fully up to date
pino: doesn't build. not related to libnotify


Give what you have. To someone, it may be better than you dare to think.
Blog

Offline

#31 2011-03-18 16:26:23

Hund
Member
From: Sweden
Registered: 2010-03-22
Posts: 386
Website

Re: "error while loading shared libraries: libnotify.so.1: cannot open.."

Thanks! It works perfekt! You are my new hero. smile

Edit:

[ ~ ]$ linuxdcpp
linuxdcpp: error while loading shared libraries: libnotify.so.1: cannot open shared object file: No such file or directory

linuxdcpp used libnotify to. smile

Last edited by Hund (2011-03-18 16:29:02)


Not all change is progress

Offline

#32 2011-03-18 17:03:41

wonder
Developer
From: Bucharest, Romania
Registered: 2006-07-05
Posts: 5,937
Website

Re: "error while loading shared libraries: libnotify.so.1: cannot open.."

@Hund paste the log of

LD_DEBUG=files linuxdcpp > log 2>&1


Give what you have. To someone, it may be better than you dare to think.
Blog

Offline

#33 2011-03-19 14:10:18

Hund
Member
From: Sweden
Registered: 2010-03-22
Posts: 386
Website

Re: "error while loading shared libraries: libnotify.so.1: cannot open.."

19247:   
     19247:    file=libnotify.so.1 [0];  needed by linuxdcpp [0]
linuxdcpp: error while loading shared libraries: libnotify.so.1: cannot open shared object file: No such file or directory

smile


Not all change is progress

Offline

#34 2011-03-19 17:11:24

Hund
Member
From: Sweden
Registered: 2010-03-22
Posts: 386
Website

Re: "error while loading shared libraries: libnotify.so.1: cannot open.."

Oh, I missed one package: "notify-osd-normal-position". Would you mind helping me with a patch for that package to? smile


Not all change is progress

Offline

#35 2011-04-20 02:40:59

amunkres
Member
Registered: 2009-08-09
Posts: 10

Re: "error while loading shared libraries: libnotify.so.1: cannot open.."

The "goobox" package in AUR won't compile against libnotify 0.7, because notify_notification_new_with_status_icon has been removed from the libevent API. (goobox doesn't appear to have been fixed in the upstream git repo yet.) I wrote a patch for it (see the AUR comments).

Offline

Board footer

Powered by FluxBB